### Hierarchy

- _NanoSQLORMQuery

## Index

### Constructors

- constructor

### Properties

- _transactionID

### Methods

- exec
- rebuild
- tID
- where

## Constructors

### constructor

- new _NanoSQLORMQuery(db: NanoSQLInstance, table: string, action: "add" | "delete" | "drop" | "rebuild" | "set", column?: undefined | string, relationIDs?: any[]): _NanoSQLORMQuery

- - Defined in index-query.ts:420

  #### Parameters

  - ##### db: NanoSQLInstance

  - ##### table: string

  - ##### action: "add" | "delete" | "drop" | "rebuild" | "set"

  - ##### Optional column: undefined | string

  - ##### Optional relationIDs: any[]

  #### Returns _NanoSQLORMQuery

## Properties

### _transactionID

_transactionID: number

- Defined in index-query.ts:420

## Methods

### exec

- exec(): Promise<number>

- - Defined in index-query.ts:515

  #### Returns Promise<number>

### rebuild

- rebuild(callBack: function): void

- - Defined in index-query.ts:435

  #### Parameters

  - ##### callBack: function

    - - (updatedRows: number): void

      - #### Parameters

        - ##### updatedRows: number

        #### Returns void

### tID

- tID(transactionID?: undefined | number): _NanoSQLORMQuery

- - Defined in index-query.ts:511

  #### Parameters

  - ##### Optional transactionID: undefined | number

  #### Returns _NanoSQLORMQuery

### where

- where(args: Array<any | Array<any>>): this

- - Defined in index-query.ts:430

  #### Parameters

  - ##### args: Array<any | Array<any>>

  #### Returns this

Generated using TypeDoc